## netbase 2.16

=== net-tools-1.32-alpha/Makefile ===
#
# Makefile	Main Makefile for the net-tools Package
#
# NET-TOOLS	A collection of programs that form the base set of the
#		NET-3 Networking Distribution for the LINUX operating
#		system.
#
# Version:	Makefile 1.33 (1996-05-18)
#
# Author:	Bernd Eckenfels <net-tools@lina.inka.de>
#		Copyright 1995-1996 Bernd Eckebnfels, Germany
#
# URLs:		ftp://ftp.inka.de/pub/comp/Linux/networking/NetTools/ 
#		ftp://ftp.linux.org.uk/pub/linux/Networking/PROGRAMS/NetTools/
#		http://www.inka.de/sites/lina/linux/NetTools/index_en.html
#
# Based on:	Fred N. van Kempen, <waltje@uwalt.nl.mugnet.org>
#		Copyright 1988-1993 MicroWalt Corporation
#
# Modifications:
#		Extensively modified from 01/21/94 onwards by
#		Alan Cox <A.Cox@swansea.ac.uk>
#		Copyright 1993-1994 Swansea University Computer Society
#		
#
#	{1.20}	Bernd Eckenfels:	Even more modifications for the new 
#					package layout
#	{1.21}	Bernd Eckenfels:	Check if config.in is newer than 
#					config.status
#	{1.22}  Bernd Eckenfels:	Include ypdomainname and nisdomainame
#
#	1.3.50-BETA6 private Release
#				
#960125	{1.23}	Bernd Eckenfels:	Peter Tobias' rewrite for 
#					makefile-based installation
#	1.3.50-BETA6a private Release
#
#960201 {1.24}	Bernd Eckenfels:	net-features.h added
#
#960201 1.3.50-BETA6b private Release
#
#960203 1.3.50-BETA6c private Release
#
#960204 1.3.50-BETA6d private Release
#
#960204 {1.25}	Bernd Eckenfels:	DISTRIBUTION added
#
#960205 1.3.50-BETA6e private Release
#
#960206	{1.26}	Bernd Eckenfels:	afrt.o removed (cleaner solution)
#
#960215 1.3.50-BETA6f Release
#
#960216 {1.30}	Bernd Eckenfels:	net-lib support
#960322 {1.31}	Bernd Eckenfels:	moveable netlib, TOPDIR
#960424 {1.32}	Bernd Eckenfels:	included the URLs in the Comment
#
#960514 1.31-alpha release
#
#960518 {1.33}	Bernd Eckenfels:	-I/usr/src/linux/include comment added
#
#	This program is free software; you can redistribute it
#	and/or  modify it under  the terms of  the GNU General
#	Public  License as  published  by  the  Free  Software
#	Foundation;  either  version 2 of the License, or  (at
#	your option) any later version.
#

# If you Package this tool into a bigger Distribution Change this:
# example: DISTRIBUTION = Debian GNU/Linux netbase Package (Peter Tobias)
DISTRIBUTION = Linux NET-3 Base Utilities

# set the base of the Installation 
# BASEDIR = /mnt

#
# DON'T CHANGE ANY of the NLS-Support definitions, it's disabled
#
# set default language (DEF_LANG) to en_US.88591 if you don't use NLS
DEF_LANG = en_US.88591

# install national language support for the following languages
# ADD_LANG = fr_FR.88591 de_DE.88591

# path to the net-lib support library. Default: lib
NET-LIB-PATH = lib
NET-LIB-NAME = support

# NOTE: Remove `ipfw' if u want to use the tools with >1.3.61
PROGS	= ifconfig hostname arp netstat route rarp # ipfw

# Compiler and Linker Options
# -I/usr/src/linux/include is needed, if you dont have up-to-date 
# kernelheaders, like some debian systems do.
COPTS = -O2 -Wall -fomit-frame-pointer # -DDEBUG
LOPTS = -s

# -------- end of user definitions --------

# This is the Maintainers Name and Address, ask me before changing it
MAINTAINER = net-tools@lina.inka.de (Bernd Eckenfels)

# This is the net-tools Version the Distribution is based on, dont change
RELEASE	   = 1.32-alpha

.EXPORT_ALL_VARIABLES:

ifeq ("$(NET-LIB-PATH)","lib2")
TOPDIR   = ..
else
TOPDIR  := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
endif

NET-LIB = $(NET-LIB-PATH)/lib$(NET-LIB-NAME).a

CFLAGS	= $(COPTS) -I. -I$(NET-LIB-PATH)
LDFLAGS	= $(LOPTS) -L$(NET-LIB-PATH)

SUBDIRS	= man/ nls/ $(NET-LIB-PATH)/

CC	= gcc
LD	= gcc

NLIB	= -l$(NET-LIB-NAME)

USE_NLS := $(shell grep -s 'define NLS 1' config.h)

MDEFINES = COPTS='$(COPTS)' LOPTS='$(LOPTS)' TOPDIR='$(TOPDIR)'

%.o:		%.c config.h version.h net-locale.h net-features.h $<
		$(CC) $(CFLAGS) -c $<

all:		config.h version.h subdirs $(PROGS)

config: 	cleanconfig config.h

install:	all savebin installbin installdata

update: 	all installbin installdata

clean:
		rm -f *.o DEADJOE config.new *~ *.orig
		@for i in $(SUBDIRS); do (cd $$i && make clean) ; done

cleanconfig:
		rm -f config.h

clobber: 	clean
		rm -f $(PROGS) config.h version.h config.status
		@for i in $(SUBDIRS); do (cd $$i && make clobber) ; done


dist: 		clobber
		@echo Creating net-tools-$(RELEASE) in ..
		@tar -cvz -f ../net-tools-$(RELEASE).tar.gz -C .. net-tools-$(RELEASE)


config.h: 	config.in Makefile 
		@echo "Configuring the Linux net-tools (NET-3 Base Utilities)..." ; echo
		@if [ config.status -nt config.in ]; \
			then /bin/sh ./configure.sh <config.status; \
		   else /bin/sh ./configure.sh <config.in; \
		 fi


version.h:	Makefile
		@echo "#include <linux/version.h>" > version.h
		@echo "#define RELEASE \"$(DISTRIBUTION)\\nSource: net-tools $(RELEASE) $(MAINTAINER)\\nKernelsource: \"" UTS_RELEASE >>version.h
		@echo "#define Maintainer \"$(MAINTAINER)\"" >> version.h


$(NET-LIB):	config.h version.h net-locale.h libdir

net-locale.h:		nlsdir

libdir:
		@$(MAKE) -C $(NET-LIB-PATH) $(MDEFINES)

nlsdir:
		@$(MAKE) -C nls

subdirs:
		@for i in $(SUBDIRS); do $(MAKE) -C $$i $(MDEFINES) ; done

ifconfig:	$(NET-LIB) ifconfig.o
		$(CC) $(LDFLAGS) -o ifconfig ifconfig.o $(NLIB)

hostname:	hostname.o
		$(CC) $(LDFLAGS) -o hostname hostname.o

route:		$(NET-LIB) route.o
		$(CC) $(LDFLAGS) -o route route.o $(NLIB)

arp:		$(NET-LIB) arp.o
		$(CC) $(LDFLAGS) -o arp arp.o $(NLIB)

rarp:		$(NET-LIB) rarp.o
		$(CC) $(LDFLAGS) -o rarp rarp.o $(NLIB)

netstat:	$(NET-LIB) netstat.o
		$(CC) $(LDFLAGS) -o netstat netstat.o $(NLIB)

ipfw:		$(NET-LIB) ipfw.o
		$(CC) $(LDFLAGS) -o ipfw ipfw.o $(NLIB)


installbin:
	install -o root -g root -m 0755 arp      ${BASEDIR}/sbin
	install -o root -g root -m 0755 ifconfig ${BASEDIR}/sbin
	install -o root -g root -m 0755 netstat  ${BASEDIR}/bin
	install -o root -g root -m 0755 rarp     ${BASEDIR}/sbin
	install -o root -g root -m 0755 route    ${BASEDIR}/sbin
	install -o root -g root -m 0755 hostname ${BASEDIR}/bin
	ln -fs hostname $(BASEDIR)/bin/dnsdomainname
	ln -fs hostname $(BASEDIR)/bin/ypdomainname
	ln -fs hostname $(BASEDIR)/bin/nisdomainname
	ln -fs hostname $(BASEDIR)/bin/domainname
	#install -o root -g root -m 0755 ipfw     ${BASEDIR}/sbin


savebin:
	@for i in ${BASEDIR}/sbin/arp ${BASEDIR}/sbin/ifconfig \
                 ${BASEDIR}/sbin/ipfw ${BASEDIR}/bin/netstat \
		 ${BASEDIR}/sbin/rarp ${BASEDIR}/sbin/route \
		 ${BASEDIR}/bin/hostname ${BASEDIR}/bin/ypdomainname \
                 ${BASEDIR}/bin/dnsdomainname ${BASEDIR}/bin/nisdomainname \
		 ${BASEDIR}/bin/domainname ; do \
		 [ -f $$i ] && cp -f $$i $$i.old ; done ; echo Saved.

installdata:
	install -o root -g root -m 0644 man/${DEF_LANG}/arp.8           ${BASEDIR}/usr/man/man8
	install -o root -g root -m 0644 man/${DEF_LANG}/ifconfig.8      ${BASEDIR}/usr/man/man8
	install -o root -g root -m 0644 man/${DEF_LANG}/ipfw.8          ${BASEDIR}/usr/man/man8
	install -o root -g root -m 0644 man/${DEF_LANG}/netstat.8       ${BASEDIR}/usr/man/man8
	install -o root -g root -m 0644 man/${DEF_LANG}/rarp.8          ${BASEDIR}/usr/man/man8
	install -o root -g root -m 0644 man/${DEF_LANG}/route.8         ${BASEDIR}/usr/man/man8
	install -o root -g root -m 0644 man/${DEF_LANG}/hostname.1      ${BASEDIR}/usr/man/man1
	install -o root -g root -m 0644 man/${DEF_LANG}/dnsdomainname.1 ${BASEDIR}/usr/man/man1
	install -o root -g root -m 0644 man/${DEF_LANG}/ypdomainname.1  ${BASEDIR}/usr/man/man1
	install -o root -g root -m 0644 man/${DEF_LANG}/nisdomainname.1 ${BASEDIR}/usr/man/man1
	install -o root -g root -m 0644 man/${DEF_LANG}/domainname.1    ${BASEDIR}/usr/man/man1
ifneq ($(USE_NLS), "")
	if [ "${DEF_LANG}" != "en_US.88591" ]; then \
		install -o root -g root -m 0755 -d ${BASEDIR}/usr/lib/locale/${DEF_LANG} ;\
		install -o root -g root -m 0644 nls/${DEF_LANG}/nettools.cat ${BASEDIR}/usr/lib/locale/${DEF_LANG} ;\
	fi
	for i in $(ADD_LANG); do \
	install -o root -g root -m 0755 -d ${BASEDIR}/usr/lib/locale/$$i ;\
	install -o root -g root -m 0644 nls/$$i/nettools.cat ${BASEDIR}/usr/lib/locale/$$i ;\
	if [ -d man/$$i ]; then \
	install -o root -g root -m 0755 -d ${BASEDIR}/usr/man/$$i/man8 ;\
	install -o root -g root -m 0644 man/$$i/arp.8           ${BASEDIR}/usr/man/$$i/man8 ;\
	install -o root -g root -m 0644 man/$$i/ifconfig.8      ${BASEDIR}/usr/man/$$i/man8 ;\
	install -o root -g root -m 0644 man/$$i/ipfw.8          ${BASEDIR}/usr/man/$$i/man8 ;\
	install -o root -g root -m 0644 man/$$i/netstat.8       ${BASEDIR}/usr/man/$$i/man8 ;\
	install -o root -g root -m 0644 man/$$i/rarp.8          ${BASEDIR}/usr/man/$$i/man8 ;\
	install -o root -g root -m 0644 man/$$i/route.8         ${BASEDIR}/usr/man/$$i/man8 ;\
	install -o root -g root -m 0644 man/$$i/hostname.1      ${BASEDIR}/usr/man/$$i/man1 ;\
	install -o root -g root -m 0644 man/$$i/dnsdomainname.1 ${BASEDIR}/usr/man/$$i/man1 ;\
	install -o root -g root -m 0644 man/$$i/ypdomainname.1  ${BASEDIR}/usr/man/$$i/man1 ;\
	install -o root -g root -m 0644 man/$$i/nisdomainname.1 ${BASEDIR}/usr/man/$$i/man1 ;\
	install -o root -g root -m 0644 man/$$i/domainname.1    ${BASEDIR}/usr/man/$$i/man1 ;\
	fi ;\
	done
endif

# End of Makefile.

## netbase 3.11

=== ipautofw-960628/Makefile ===
CC	= gcc
CFLAGS	= -Wall -O2
SBIN	= /usr/local/sbin

all:		ipautofw

ipautofw:
	$(CC) $(CFLAGS) -o ipautofw ipautofw-2.0.0.c

install:	ipautofw
	-mv $(SBIN)/ipautofw $(SBIN)/ipautofw.old
	cp ipautofw $(SBIN)/ipautofw

install-kernel:
	cp ipautofw-2.0.0.diff /usr/src
	cd /usr/src/linux
	patch -p1 < ../ipautofw-2.0.0.diff

archive:
	cd ../.. && tar -cf - ipautofw/ | gzip -9 > /root/scootdir/rlynch.ftp/ipautofw-`date +%y%m%d`.tar.gz

=== ipchains-1.3.4/Makefile ===
#
#	$Id: Makefile,v 1.2 1997/07/15 02:27:55 rusty Exp rusty $
#
#
#	Makefile for the ipchain package: ripped straight from ipfwadm.
#	(C) 1997 All rights reserved.
#       EMail complaints to Paul Russell Paul.Russell@rustcorp.com.au.
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

CC	= gcc
COPTS   = -g -O
CFLAGS	= -Wall -Wunused $(COPTS)
SBIN	= /sbin
MANDIR	= /usr/man
INSTALL = install

all:		ipchains ipfw.4 ipchains.8

ipchains:	ipchains.c kernel_headers.h
	$(CC) $(CFLAGS) -o ipchains ipchains.c

install:	ipchains ipfw.4 ipchains.8 ipchains-save ipchains-restore
	@-mv $(SBIN)/ipchains $(SBIN)/ipchains.old
	$(INSTALL) -m 0755 -o root -g root ipchains $(SBIN)/
	$(INSTALL) -m 0755 -o root -g root ipchains-save $(SBIN)/
	$(INSTALL) -m 0755 -o root -g root ipchains-restore $(SBIN)/
	$(INSTALL) -m 0644 -o root -g root ipfw.4 $(MANDIR)/man4/
	$(INSTALL) -m 0644 -o root -g root ipchains.8 $(MANDIR)/man8/

uninstall:
	-rm -f $(SBIN)/ipchains $(MANDIR)/man4/ipfw.4 $(MANDIR)/man8/ipchains.8
	@-mv $(SBIN)/ipchains.old $(SBIN)/ipchains && echo Restored old ipchains from $(SBIN)/ipchains.old...

clean:
	rm -f ipchains *.o core

## netbase 3.18

=== ifupdown/Makefile ===
CFLAGS := -Wall -W -g -O2
CC := gcc

CFILES := addrfam.c execute.c config.c main.c archlinux.c
HFILES := header.h archlinux.h
PERL := defn2c.pl defn2man.pl
DEFNFILES := inet.defn ipx.defn inet6.defn

OBJ := main.o addrfam.o execute.o config.o \
	$(patsubst %.defn,%.o,$(DEFNFILES)) archlinux.o

MAN := $(patsubst %.defn,%.man,$(DEFNFILES))

default : executables
all : executables docs

executables : ifup ifdown ifup.8 ifdown.8 interfaces.5
docs : ifupdown.ps.gz ifupdown.pdf ifup.8.ps.gz interfaces.5.ps.gz

.PHONY : executables 
.PHONY : clean clobber

install :
	install -m 0755 -d     ${BASEDIR}/sbin
	install -m 0755 ifup   ${BASEDIR}/sbin
	ln ${BASEDIR}/sbin/ifup ${BASEDIR}/sbin/ifdown	

clean :
	rm -f *.aux *.toc *.log *.bbl *.blg *.ps
	rm -f *.o *.d $(patsubst %.defn,%.c,$(DEFNFILES)) *~
	rm -f $(patsubst %.defn,%.man,$(DEFNFILES))
	rm -f ifup ifdown interfaces.5 ifdown.8
	rm -f ifupdown.dvi *.ps{,.gz} ifupdown.pdf

clobber : clean
	rm -f ifupdown.tex $(PERL) $(CFILES) $(HFILES) $(DEFNFILES)

distclean : clobber
	rm -f makecdep.sh makenwdep.sh Makefile
ifup: $(OBJ)
	$(CC) $(CFLAGS) -o ifup $^

ifdown: ifup
	ln -sf ifup ifdown
interfaces.5: interfaces.5.pre $(MAN)
	LINE=$$(grep -n '^##ADDRESSFAM##$$' $< | sed 's/:.*//g'); \
	WC=`wc -l < $<`;                                          \
	(                                                         \
	  head -$$[$$LINE - 1] $<;                                \
	  cat $(MAN);                                             \
	  tail -$$[$$WC - $$LINE] $<;                             \
	) > $@

ifdown.8: ifup.8
	ln -sf $< $@

%.5.ps: %.5
	groff -mandoc -Tps $< > $@
%.8.ps: %.8
	groff -mandoc -Tps $< > $@
%.tex : %.nw
	noweave -index -latex $< >$@

%.bbl : %.tex biblio.bib
	latex $<
	bibtex $(basename $<)

%.dvi : %.tex %.bbl
	latex $<
	latex $<

%.pdf : %.tex %.bbl
	pdflatex $<
	pdflatex $<

%.ps : %.dvi
	dvips -o $@ $<

%.gz : %
	gzip --best --stdout $< >$@
%.d: %.nw makenwdep.sh
	./makenwdep.sh $< > $@
%.d: %.c makecdep.sh
	./makecdep.sh $< > $@
%.c : %.defn defn2c.pl
	./defn2c.pl $< > $@
%.man: %.defn defn2man.pl
	./defn2man.pl $< > $@

include ifupdown.d

=== iputils/Makefile ===
# Path to parent kernel include files directory (default /usr/include)
#KERNEL_INCLUDE=
#KERNEL_INCLUDE=/net/bh/var/src/vger/dist/linux/include
KERNEL_INCLUDE=/net/bh/home/root/vger-mirror/linux/include
#KERNEL_INCLUDE=/home1/root/vger-129/vger-mirror/linux/include
#KERNEL_INCLUDE=/u2/lsrc/vger4/linux/include
#KERNEL_INCLUDE=/usr/src/linux/include

DEFINES= 

#options if you have a bind>=4.9.4 libresolv (or, maybe, glibc)
LDLIBS=-lresolv
ADDLIB=

ifeq (/usr/include/socketbits.h,$(wildcard /usr/include/socketbits.h))
  ifeq (/usr/include/net/if_packet.h,$(wildcard /usr/include/net/if_packet.h))
    GLIBCFIX=-Iinclude-glibc -include include-glibc/glibc-bugs.h
  endif
endif
ifeq (/usr/include/bits/socket.h, $(wildcard /usr/include/bits/socket.h))
  GLIBCFIX=-Iinclude-glibc -include include-glibc/glibc-bugs.h
endif


#options if you compile with libc5, and without a bind>=4.9.4 libresolv
# NOT AVAILABLE. Please, use libresolv.

CC=gcc
CFLAGS=-O2 -Wall -g $(GLIBCFIX) -I$(KERNEL_INCLUDE) -I../include $(DEFINES) 

IPV4_TARGETS=tracepath ping clockdiff rdisc arping
IPV6_TARGETS=tracepath6 traceroute6 ping6
TARGETS=$(IPV4_TARGETS) $(IPV6_TARGETS)

all: check-kernel $(TARGETS)


check-kernel:
ifeq ($(KERNEL_INCLUDE),)
	@echo "Please, set correct KERNEL_INCLUDE"; false
else
	@set -e; \
	if [ ! -r $(KERNEL_INCLUDE)/linux/autoconf.h ]; then \
		echo "Please, set correct KERNEL_INCLUDE"; false; fi
endif

clean:
	rm -f *.o $(TARGETS)

=== net-tools/Makefile ===
#
# Makefile	Main Makefile for the net-tools Package
#
# NET-TOOLS	A collection of programs that form the base set of the
#		NET-3 Networking Distribution for the LINUX operating
#		system.
#
# Version:	Makefile 1.45 (1996-06-29)
#
# Author:	Bernd Eckenfels <net-tools@lina.inka.de>
#		Copyright 1995-1996 Bernd Eckebnfels, Germany
#
# URLs:		ftp://ftp.inka.de/pub/comp/Linux/networking/NetTools/ 
#		ftp://ftp.linux.org.uk/pub/linux/Networking/PROGRAMS/NetTools/
#		http://www.inka.de/sites/lina/linux/NetTools/index_en.html
#
# Based on:	Fred N. van Kempen, <waltje@uwalt.nl.mugnet.org>
#		Copyright 1988-1993 MicroWalt Corporation
#
# Modifications:
#		Extensively modified from 01/21/94 onwards by
#		Alan Cox <A.Cox@swansea.ac.uk>
#		Copyright 1993-1994 Swansea University Computer Society
#
# Be careful! 
# This Makefile doesn't describe complete dependencies for all include files.
# If you change include files you might need to do make clean. 
#
#	{1.20}	Bernd Eckenfels:	Even more modifications for the new 
#					package layout
#	{1.21}	Bernd Eckenfels:	Check if config.in is newer than 
#					config.status
#	{1.22}  Bernd Eckenfels:	Include ypdomainname and nisdomainame
#
#	1.3.50-BETA6 private Release
#				
#960125	{1.23}	Bernd Eckenfels:	Peter Tobias' rewrite for 
#					makefile-based installation
#	1.3.50-BETA6a private Release
#
#960201 {1.24}	Bernd Eckenfels:	net-features.h added
#
#960201 1.3.50-BETA6b private Release
#
#960203 1.3.50-BETA6c private Release
#
#960204 1.3.50-BETA6d private Release
#
#960204 {1.25}	Bernd Eckenfels:	DISTRIBUTION added
#
#960205 1.3.50-BETA6e private Release
#
#960206	{1.26}	Bernd Eckenfels:	afrt.o removed (cleaner solution)
#
#960215 1.3.50-BETA6f Release
#
#960216 {1.30}	Bernd Eckenfels:	net-lib support
#960322 {1.31}	Bernd Eckenfels:	moveable netlib, TOPDIR
#960424 {1.32}	Bernd Eckenfels:	included the URLs in the Comment
#
#960514 1.31-alpha release
#
#960518 {1.33}	Bernd Eckenfels:	-I/usr/src/linux/include comment added
#
#	This program is free software; you can redistribute it
#	and/or  modify it under  the terms of  the GNU General
#	Public  License as  published  by  the  Free  Software
#	Foundation;  either  version 2 of the License, or  (at
#	your option) any later version.
#

# set the base of the Installation 
# BASEDIR = /mnt

# path to the net-lib support library. Default: lib
NET_LIB_PATH = lib
NET_LIB_NAME = net-tools

PROGS	:= ifconfig hostname arp netstat route rarp slattach plipconfig

-include config.make
ifeq ($(HAVE_IP_TOOLS),1)
PROGS   += iptunnel ipmaddr
endif

# Compiler and Linker Options
# You may need to uncomment and edit these if you are using libc5 and IPv6.
COPTS = -D_GNU_SOURCE -O2 -Wall -g # -I/usr/inet6/include
ifeq ($(origin LOPTS), undefined)
LOPTS = 
endif
RESLIB = # -L/usr/inet6/lib -linet6

ifeq ($(HAVE_AFDECnet),1)
DNLIB = -ldnet
endif

# -------- end of user definitions --------

MAINTAINER = Philip.Blundell@pobox.com
RELEASE	   = 1.54

.EXPORT_ALL_VARIABLES:

ifeq ("$(NET_LIB_PATH)","lib2")
TOPDIR   = ..
else
TOPDIR  := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
endif

NET-LIB = $(NET_LIB_PATH)/lib$(NET_LIB_NAME).a

CFLAGS	= $(COPTS) -I. -idirafter ./include/ -I$(NET_LIB_PATH)
LDFLAGS	= $(LOPTS) -L$(NET_LIB_PATH)

SUBDIRS	= man/ $(NET_LIB_PATH)/

ifeq ($(origin CC), undefined)
CC	= gcc
endif
LD	= $(CC)

NLIB	= -l$(NET_LIB_NAME)

MDEFINES = COPTS='$(COPTS)' LOPTS='$(LOPTS)' TOPDIR='$(TOPDIR)'

%.o:		%.c config.h version.h intl.h net-features.h $<
		$(CC) $(CFLAGS) -c $<

all:		config.h version.h subdirs $(PROGS)

config: 	cleanconfig config.h

install:	all savebin installbin installdata

update: 	all installbin installdata

mostlyclean:
		rm -f *.o DEADJOE config.new *~ *.orig lib/*.o

clean: mostlyclean
		rm -f $(PROGS)
		@for i in $(SUBDIRS); do (cd $$i && $(MAKE) clean) ; done
		@cd po && $(MAKE) clean

cleanconfig:
		rm -f config.h

clobber: 	clean
		rm -f $(PROGS) config.h version.h config.status config.make
		@for i in $(SUBDIRS); do (cd $$i && $(MAKE) clobber) ; done


dist: 		clobber
		@echo Creating net-tools-$(RELEASE) in ..
		@tar -cvz -f ../net-tools-$(RELEASE).tar.gz -C .. net-tools-${RELEASE}


config.h: 	config.in Makefile 
		@echo "Configuring the Linux net-tools (NET-3 Base Utilities)..." ; echo
		@if [ config.status -nt config.in ]; \
			then ./configure.sh config.status; \
		   else ./configure.sh config.in; \
		 fi


version.h:	Makefile
		@echo "#define RELEASE \"net-tools $(RELEASE)\"" >version.h


$(NET-LIB):	config.h version.h intl.h libdir

i18n.h:		i18ndir

libdir:
		@$(MAKE) -C $(NET_LIB_PATH) $(MDEFINES)

i18ndir:
		@$(MAKE) -C po

subdirs:
		@for i in $(SUBDIRS); do $(MAKE) -C $$i $(MDEFINES) ; done

ifconfig:	$(NET-LIB) ifconfig.o
		$(CC) $(LDFLAGS) -o ifconfig ifconfig.o $(NLIB) $(RESLIB)

hostname:	hostname.o
		$(CC) $(LDFLAGS) -o hostname hostname.o $(DNLIB)

route:		$(NET-LIB) route.o
		$(CC) $(LDFLAGS) -o route route.o $(NLIB) $(RESLIB)

arp:		$(NET-LIB) arp.o
		$(CC) $(LDFLAGS) -o arp arp.o $(NLIB) $(RESLIB)

rarp:		$(NET-LIB) rarp.o
		$(CC) $(LDFLAGS) -o rarp rarp.o $(NLIB)

slattach:	$(NET-LIB) slattach.o
		$(CC) $(LDFLAGS) -o slattach slattach.o $(NLIB)

plipconfig:	$(NET-LIB) plipconfig.o
		$(CC) $(LDFLAGS) -o plipconfig plipconfig.o $(NLIB)

netstat:	$(NET-LIB) netstat.o statistics.o
		$(CC) $(LDFLAGS) -o netstat netstat.o statistics.o $(NLIB) $(RESLIB)

iptunnel:	$(NET-LIB) iptunnel.o
		$(CC) $(LDFLAGS) -o iptunnel iptunnel.o $(NLIB) $(RESLIB)

ipmaddr:	$(NET-LIB) ipmaddr.o
		$(CC) $(LDFLAGS) -o ipmaddr ipmaddr.o $(NLIB) $(RESLIB)

installbin:
	install -m 0755 -d ${BASEDIR}/sbin
	install -m 0755 -d ${BASEDIR}/bin
	install -m 0755 arp        ${BASEDIR}/sbin
	install -m 0755 ifconfig   ${BASEDIR}/sbin
	install -m 0755 netstat    ${BASEDIR}/bin
	install -m 0755 rarp       ${BASEDIR}/sbin
	install -m 0755 route      ${BASEDIR}/sbin
	install -m 0755 hostname   ${BASEDIR}/bin
	install -m 0755 slattach   $(BASEDIR)/sbin
	install -m 0755 plipconfig $(BASEDIR)/sbin
ifeq ($(HAVE_IP_TOOLS),1)
	install -m 0755 ipmaddr    $(BASEDIR)/sbin
	install -m 0755 iptunnel   $(BASEDIR)/sbin
endif
	ln -fs hostname $(BASEDIR)/bin/dnsdomainname
	ln -fs hostname $(BASEDIR)/bin/ypdomainname
	ln -fs hostname $(BASEDIR)/bin/nisdomainname
	ln -fs hostname $(BASEDIR)/bin/domainname
ifeq ($(HAVE_AFDECnet),1)
	ln -fs hostname $(BASEDIR)/bin/nodename
endif

savebin:
	@for i in ${BASEDIR}/sbin/arp ${BASEDIR}/sbin/ifconfig \
                 ${BASEDIR}/bin/netstat \
		 ${BASEDIR}/sbin/rarp ${BASEDIR}/sbin/route \
		 ${BASEDIR}/bin/hostname ${BASEDIR}/bin/ypdomainname \
                 ${BASEDIR}/bin/dnsdomainname ${BASEDIR}/bin/nisdomainname \
		 ${BASEDIR}/bin/domainname ; do \
		 [ -f $$i ] && cp -f $$i $$i.old ; done ; echo Saved.

installdata:
	$(MAKE) -C man install
	$(MAKE) -C po install

# End of Makefile.

## netbase 4.07

=== debian/changelog ===
netbase (4.07) unstable; urgency=low

  * Add debconf dependency. Make debconf unconditional in postinst.
  * Change Build-Depends: to Build-Depends-Indep: since netbase is arch: all.
  * Bump Standards-Version.

  * Fix quoting of backslashes and apostrophes in update-inetd manpage.
    (Closes: Bug#75792)

  * Fix templates files to be "templates.ll" not "templates-ll" so
    they actually get used. Got rid of templates.old.
  * Add Russian, German templates files. Old German translation renamed to
    .old, just in case. (Closes: Bug#114842, Bug#114571)

  * Remove empty directory /usr/lib/perl5/Debian; move DebianNet.pm from
    /usr/lib/perl5 to /usr/share/perl5. (Closes: Bug#118425)

  * etc-services: Added dircproxy (57000/tcp). (Closes: Bug#78045)
  * etc-services: Added imsp (406/tcp,udp), sieve (2000/tcp) and lmtp (alias
    for 2003/tcp). (Closes: Bug#78522)
  * etc-services: Added telnets (992/tcp,udp), ftps (990/tcp) and
    ftps-data (989/tcp). (Closes: Bug#79860)
  * etc-services: Added predict (1210/udp). (Closes: Bug#81460)
  * etc-services: Added smsqp (11021/tcp,udp). (Closes: Bug#81504)
  * etc-services: Added mon (2583/tcp,udp). (Closes: Bug#82745)
  * etc-services: Added pwdgen (129/tcp,udp). (Closes: Bug#90412)
  * etc-services: Added xpilot (15345/tcp,udp). (Closes: Bug#94436)
  * etc-services: Added tinc (655/tcp,udp). (Closes: Bug#100189)
  * etc-services: Changed radacct (1813/tcp,udp) to radius-acct, radacct
    remains as alias. (Closes: Bug#103131)

  * etc-rpc: Added sgi_fam 391002. (Closes: Bug#105716)

 -- Anthony Towns <aj@azure.humbug.org.au>  Sun, 18 Nov 2001 23:50:35 +1000

netbase (4.06) unstable; urgency=low

  * init.d/networking: Fix ipchains based spoof protection to do IP
    addresses other than just 127.0.0.1 properly. Thanks to Chris Osicki
    for spotting this.

  * etc-services: Remove doubled swat entry. (Closes: Bug#93122)
  * debian/rules: Add automatic check for doubled entries. Thanks to someone
    who didn't leave a name, but did file bug 93122. :)

  * etc-services: Add smtps as an alias for ssmtp. (Closes: Bug#72713)
  * etc-services: Add xtell service (4224/tcp). (Closes: Bug#76161)
  * etc-services: Correct hostmon udp comment. (Closes: Bug#76696)

  * debian/control: Add conflicts on old nfs-common as well to help
    ensure portmap gets installed where necessary. (Closes: Bug#98907)

  * debian/config: Drop priority of pre-2.2 spoof protection question to low.
    (Closes: Bug#82646)
  * debian/templates: Split into separate templates for each translation.
    What a nifty feature.
  * debian/templates.nl: Added Dutch translations, thanks to Ivo Timmermans.
    (Closes: Bug#93496)
  * debian/templates.de: Added German translations, thanks to Marc Haber.
    (Closes: Bug#89499)

 -- Anthony Towns <aj@azure.humbug.org.au>  Fri,  1 Jun 2001 13:30:14 +1000

netbase (4.05) unstable; urgency=low

  * Remove dependency on portmap; change it to suggests. Add conflicts on
    some packages that used to depend on netbase for portmap. (Closes:
    Bug#69194)

 -- Anthony Towns <ajt@debian.org>  Mon, 18 Sep 2000 13:10:52 -0700

netbase (4.04) unstable; urgency=low

  * config: Remove reference to inetd-dos-services which is more of an
    inetd thing.

 -- Anthony Towns <ajt@debian.org>  Thu, 31 Aug 2000 15:45:44 +1000

netbase (4.03) unstable; urgency=low

  * /etc/services: Added lotusnotes service (1352/tcp,udp). IANA name is
    "lotusnote" for some reason. Added former as an alias to the latter.
    (Closes: Bug#67778)
  * /etc/services: Added x11 ports (6000-6007/tcp,udp).
  * /etc/services: Added xtelw (1314/tcp). (Closes: Bug#66705)
  * /etc/services: Added pcrd (5151/tcp). (Closes: Bug#61117)
  * /etc/services: Added gds_db (3050/tcp,udp) for InterBase. (Closes:
    Bug#60930)
  * /etc/services: Added imap as alias to imap2. (Closes: Bug#58708)
  * /etc/services: Added swat (901/tcp).
  * /etc/services: Added xfstt (7101/tcp). (Closes: Bug#58457)

  * debian/control: Depend on one of ipfwadm, ipchains, iptables instead of
    both of ipfwadm and ipchains. Only suggest one of ipautofw, ipmasqadm,
    iptables instead of depending on both of ipautofw and ipmasqadm.

  * debian/templates: Added Italian translation, thanks to Eugenia Franzoni.
    (Closes: Bug#64219)

 -- Anthony Towns <ajt@debian.org>  Sun, 27 Aug 2000 16:41:52 +1000

netbase (4.02) unstable; urgency=low

  * Correct "smb" to "smbfs" and add a -q to grep in /etc/init.d/networking.
    (Closes: Bug#65412, Bug#63288, Bug#65384, Bug#64360).
  * Remove dependency on iputils-tracepath. Nothing should be relying on 
    that anyway.

 -- Anthony Towns <ajt@debian.org>  Thu, 17 Aug 2000 14:38:04 +1000

netbase (4.01) unstable; urgency=low

  * netkit-ping is standard, iputils-ping is optional: netkit-ping should
    therefore be listed first in the Depends: line or apt-get doesn't
    do the right thing.

 -- Anthony Towns <ajt@debian.org>  Sat, 12 Aug 2000 20:44:08 +1000

netbase (4.00) unstable; urgency=low

  * The great netbase split. netbase is now Debian native.

  * Split into:
        ifupdown, ipautofw, ipchains, ipfwadm, ipmasqadm, iputils, net-tools,
        netkit-base, portmap
    netkit-base builds netkit-ping, netkit-inetd and netkit-rpc. iputils
    builds iputils-ping and iputils-traceroute.

  * hosts.allow and hosts.deny moved to the tcp-wrappers package.

 -- Anthony Towns <ajt@debian.org>  Sun, 16 Jul 2000 12:00:52 +1000

netbase (3.18-4) frozen unstable; urgency=low

  * The ``I'm an idiot'' release.

  * preinst: Add a `mkdir -p /etc/network' so that cat'ing to
    /etc/network/interfaces (eg) doesn't die horribly. Makes upgrades
    from slink die. (Closes: Bug#62958)

 -- Anthony Towns <ajt@debian.org>  Tue, 25 Apr 2000 01:53:23 +1000

netbase (3.18-3) frozen unstable; urgency=low

  * frozen rationale: This fixes the somewhat important bug 62538, and
    reduces the severity of the critical bug 60898 to normal. It also


=== debian/control ===
Source: netbase
Section: net
Priority: standard
Maintainer: Anthony Towns <ajt@debian.org>
Standards-Version: 3.5.6
Build-Depends-Indep: gettext, debhelper (>= 3.0.15)

Package: netbase
Architecture: all
Depends: net-tools | iproute, ifupdown, ipchains | ipfwadm | iptables, netkit-inetd, tcpd, netkit-ping | iputils-ping, debconf
Suggests: ipmasqadm | ipautofw | iptables, portmap, netkit-rpc
Conflicts: xinetd (<= 2.2.1-8), netstd (<< 3.00), nfs-common (<< 1:0.3.2-1), nfs-user-server (<< 2.2beta47-9), nis (<= 3.6-2), rstatd (<= 3.03-3), rwalld (<= 0.16-1), rusersd (<= 0.17-1), ugidd (<< 2.2beta47-9)
Description: Basic TCP/IP networking system
 This package provides the necessary infrastructure for basic TCP/IP based
 networking.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

package=netbase

export DH_COMPAT=1

export BASEDIR=$(shell pwd)/debian/tmp
export DESTDIR=$(shell pwd)/debian/tmp

ARCH:=$(shell dpkg --print-architecture)

build:
	dh_testdir

# check for duplicate etc-services entries and abort if any found
	@echo Checking for duplicate services:
	@if (sed 's/#.*$$//;s/[[:space:]][[:space:]]*/ /g' etc-services | \
	      while read name serv other; do \
	        for a in $$name $$other; do echo $$a $$serv; done; \
              done | sort | uniq -d | sed 's/^/  /' | grep ^); \
        then \
	  false; \
	else \
	  echo "  None found"; \
	fi

clean:
	dh_testdir
	dh_testroot

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install -o root -g root -m 0755 debian/networking.init.d `pwd`/debian/tmp/etc/init.d/networking
	install -o root -g root -m 0644 etc-gateways `pwd`/debian/tmp/etc/gateways
	install -o root -g root -m 0644 gateways.5 `pwd`/debian/tmp/usr/share/man/man5
	install -o root -g root -m 0644 etc-protocols `pwd`/debian/tmp/etc/protocols
	install -o root -g root -m 0644 etc-rpc `pwd`/debian/tmp/etc/rpc
	install -o root -g root -m 0644 etc-services `pwd`/debian/tmp/etc/services
	install -o root -g root -m 0644 DebianNet.pm `pwd`/debian/tmp/usr/share/perl5/DebianNet.pm
	install -o root -g root -m 0644 DebianNet.3pm `pwd`/debian/tmp/usr/share/man/man3
	install -o root -g root -m 0755 update-inetd `pwd`/debian/tmp/usr/sbin
	install -o root -g root -m 0644 update-inetd.8 `pwd`/debian/tmp/usr/share/man/man8
	install -o root -g root -m 0644 resolv+.8 `pwd`/debian/tmp/usr/share/man/man8

binary-indep: build install
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installexamples
#	dh_installemacsen
#	dh_installpam
#	dh_installinit (done by hand)
	dh_installcron
# done by hand previously
#	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## netbase 4.17ubuntu3

=== debian/changelog ===
netbase (4.17ubuntu3) warty; urgency=low

  * debian/netbase.init: silence ifup/ifdown if VERBOSE == no
  * debian/netbase.init: silence debuging output if VERBOSE == no

 -- Nathaniel McCallum <npmccallum@canonical.com>  Tue,  7 Sep 2004 16:03:20 -0400

netbase (4.17ubuntu2) warty; urgency=low

  * Added versioned depend on lsb-base

 -- Nathaniel McCallum <npmccallum@canonical.com>  Fri,  3 Sep 2004 15:07:08 -0400

netbase (4.17ubuntu1) warty; urgency=low

  * debian/netbase.init: pretty initscript

 -- Nathaniel McCallum <npmccallum@canonical.com>  Fri,  3 Sep 2004 11:33:59 -0400

netbase (4.17) unstable; urgency=medium

  * etc-services: added enbd-cstatd (5051/tcp), enbd-sstatd (5052/tcp),
    nsca (5667/tcp), xinetd (9098/tcp), updated 5222 and 5269.
    (Closes: #232936, #241404, #242642, #243559, #234279, #238647)
  * New template translations: da uk tr el de ca.
    (Closes: #235351, #236839, #239146, #243557, #244534, #248731)

 -- Marco d'Itri <md@linux.it>  Sat, 22 May 2004 14:42:42 +0200

netbase (4.16) unstable; urgency=medium

  * Process /etc/network/options on reloads. (Closes: #223481)
  * etc-protocols: added hopopt (0, commented), igp (9), eigrp (88),
    ax.25 (93), etherip (97), l2tp (115). (Many thanks to J.H.M. Dassen)
  * etc-services: added tacacs (49), tacacs-ds (65), loc-srv (135),
    isakmp (500), kazaa (1214), nessus (1241), ms-sql-s (1433),
    ms-sql-m (1434), kermit (1649), nut (3493), radmin-port (4899),
    rplay (5555), rptp (5556), bacula-dir (9101), bacula-fd (9102),
    bacula-sd (9103).
    (Closes: #225540, #226512, #228554, #229064, #231182)
  * etc-services: renamed svn to svnserve. (Closes: #226842)
  * Cleaned up the /etc/services comments.
  * Added zh_CN.po. (Closes: #231911)
  * Updated po.po. (Closes: #228334)

 -- Marco d'Itri <md@linux.it>  Fri, 13 Feb 2004 12:11:41 +0100

netbase (4.15) unstable; urgency=medium

  * etc-services: added gnutella-svc (6346), gnutella-rtr (6347).
    (Closes: #217706)
  * Updated ru.po. (Closes: #219229)
  * Remove extraneous spaces from init script messages. (Closes: #219203)

 -- Marco d'Itri <md@linux.it>  Mon,  1 Dec 2003 13:45:44 +0100

netbase (4.14) unstable; urgency=medium

  * etc-services: added unix-status (1957/tcp), log-server (1958/tcp),
    remoteping (1959/tcp). (Closes: #203047)
  * etc-services: added distmp3 (4600/tcp). (Closes: #213525)
  * Added dependency on virtual package ping. (Closes: #206433)
  * Added es.po and ja.po. (Closes: #120147, #210435)

 -- Marco d'Itri <md@linux.it>  Sun, 12 Oct 2003 15:29:46 +0200

netbase (4.13) unstable; urgency=medium

  * Partially revert the patch from #183960 because it was applied
    incorrectly and anyway is broken and will cause update-inetd to
    fail as soon as it asks a question, as the default is "no".
    There is no good fix at least with the current code and autobuilders
    should replace update-inetd with a dummy program like they already
    do for start-stop-daemon. (Closes: #205845)
    This serves me right for trying to update the evil update-inetd.

 -- Marco d'Itri <md@linux.it>  Sun, 17 Aug 2003 04:23:41 +0200

netbase (4.12) unstable; urgency=medium

  * Brown paper bag bug: fix grep command line in postinst. (Closes: #205759)

 -- Marco d'Itri <md@linux.it>  Sun, 17 Aug 2003 02:13:17 +0200

netbase (4.11) unstable; urgency=medium

  * etc-services: added lrrd (4949/tcp). (Closes: #199395)
  * etc-services: fixed postgresql name. (Closes: #199867)
  * etc-services: added unix-status (1957/tcp), log-server (1958/tcp),
    remoteping (1959/tcp). (Closes: #203047)
  * etc-protocols: added ipcomp (108). (Closes: #204776)
  * update-inetd: make it cooperate with debconf, patch by Robert Jordens.
    (Closes: #183960)
  * update-inetd: updated the message about xinetd documentation.
    (Closes: #199184)
  * Updated nl.po and fr.po. (Closes: #198632, #204575)
  * IPv6 entries will be always added to /etc/hosts from now on.

 -- Marco d'Itri <md@linux.it>  Sat, 16 Aug 2003 18:24:25 +0200

netbase (4.10) unstable; urgency=medium

  * etc-services: added spamd (783/tcp). (Closes: #193724)
  * etc-services: added svn (3690/tcp,udp). (Closes: #185216)
  * etc-services: added clearcase (371/tcp,udp). (Closes: #176001)
  * etc-services: fix typos. (Closes: #174746, #175505, #175684)
  * etc-protocols: added vrrp (112). (Closes: #187274)
  * etc-protocols: fix typo. (Closes: #177706)
  * Switch to po-debconf, patch by Andre Luis Lopes. (Closes: #183996)
  * Fix typo in po.de. (Closes: #175510)
  * Use chomp instead of chop in DebianNet.pm. (Closes: #53733)

 -- Marco d'Itri <md@linux.it>  Sun, 15 Jun 2003 18:54:51 +0200

netbase (4.09) unstable; urgency=low

  * etc-services: added microsoft-ds (445/tcp,udp) (Closes: #166566).
  * etc-services: added distcc (3632/tcp,udp) (Closes: #170014).
  * Use unbuffered I/O in update-inetd (Closes: #166853).

 -- Marco d'Itri <md@linux.it>  Sun, 22 Dec 2002 13:31:54 +0100

netbase (4.08) unstable; urgency=low

  * NMU.
  * Fixed spoofalert option name in resolv+(8). (Closes: #41349)
  * Delete /etc/cron.daily/netbase when upgrading. (Closes: #78334)
  * Put a band aid in update-inetd to make it work with debconf.
    (Closes: #90676, #143393)
  * Changed the style of /etc/init.d/networking messages to conform to
    policy. (Closes: #121941)
  * Set the $PATH in /etc/init.d/networking. (Closes: #131213)
  * Check for netware and CODA shares in /etc/init.d/networking.
    (Closes: #122319)
  * Remove support for 2.0.x kernels from /etc/init.d/networking and
    the related debconf templates. (Closes: #118110)
  * Do not create unneeded direcories. (Closes: #122478)
  * Advertise ifupdown documentation with debconf. (Closes: #63322)
  * Fixed typo in debconf template. (Closes: #120147)
  * Added pt_BR debconf template. (Closes: #123001)
  * /etc/gateways and gateways(5) moved to the routed package. (Closes: #75200)
  * resolv+(8) moved to the manpages package.


## netbase 4.19ubuntu4

=== debian/changelog ===
netbase (4.19ubuntu4) hoary; urgency=low

  * Display a more useful error message when failing to open
    a device to redirect stdin/stdout/stderr

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu,  3 Mar 2005 16:35:49 -0800

netbase (4.19ubuntu3) hoary; urgency=low

  * removed 'echo "rp_filter"' and replaced it with a proper
    lsb-init-function (closes: #5401)

 -- Michael Vogt <mvo@debian.org>  Wed, 19 Jan 2005 09:31:13 +0100

netbase (4.19ubuntu2) hoary; urgency=low

  * Fix bashism in init script (closes: #4491).

 -- Matthias Klose <m@klose.in-berlin.de>  Sun,  2 Jan 2005 23:43:07 +0100

netbase (4.19ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- LaMont Jones <lamont@canonical.com>  Thu, 11 Nov 2004 14:04:45 -0700

netbase (4.19) unstable; urgency=medium

  * etc-services: added rtsp (554), hkp (11371), ospfapi (2607/tcp) and
    isisd (2608/tcp). lrrd renamed to munin.
    (Closes: #266047, #267115, #278435, #270617)
  * etc-rpc: added ypxfrd (600100069). (Closes: #275244)

 -- Marco d'Itri <md@linux.it>  Sun, 31 Oct 2004 16:51:02 +0100

netbase (4.18ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@canonical.com>  Wed, 27 Oct 2004 13:53:41 +0100

netbase (4.18) unstable; urgency=high

  * etc-services: added snmp (161/tcp) and snmp-trap (162/tcp).
    (Closes: #254103)
  * New debconf translation: cs. (Closes: #260364)

 -- Marco d'Itri <md@linux.it>  Wed, 28 Jul 2004 00:46:53 +0200

=== debian/control ===
Source: netbase
Section: base
Priority: important
Maintainer: Anthony Towns <ajt@debian.org>
Uploaders: Anthony Towns <ajt@debian.org>, Marco d'Itri <md@linux.it>
Standards-Version: 3.6.1
Build-Depends-Indep: gettext, debhelper (>= 4.1.13), po-debconf (>= 0.5.0)

Package: netbase
Architecture: all
Depends: ifupdown, netkit-inetd, tcpd, iputils-ping | ping, debconf, lsb-base (>= 1.3-9ubuntu3)
Conflicts: xinetd (<= 2.2.1-8), netstd (<< 3.00), nfs-common (<< 1:0.3.2-1), nfs-user-server (<< 2.2beta47-9), nis (<= 3.6-2), rstatd (<= 3.03-3), rwalld (<= 0.16-1), rusersd (<= 0.17-1), ugidd (<< 2.2beta47-9)
Description: Basic TCP/IP networking system
 This package provides the necessary infrastructure for basic TCP/IP based
 networking.

## netbase 4.21

=== debian/changelog ===
netbase (4.21) unstable; urgency=medium

  * etc-rpc: renamed ypxfrd (600100069) to fypxfrd. (Closes: #280546)
  * etc-services: added clc-build-daemon (8990/tcp), daap (3689),
    openvpn (1194), proofd (1093), rootd (1094), iax (4569), sip (5060),
    sip-tls (5061), bprd (13720), bpdbm (13721), bpjava-msvc (13722),
    vnetd (13724), bpcd (13782), vopied (13783).
    (Closes: #295044, #295827, #296260, #296517, #296956, #298676
  * etc-services: svnserve renamed to svn. (Closes: #300649)
  * Updated the es template translation. (Closes: #298622)
  * Added cifs, nfs4 and ncpfs to the list of file systems in the init
    script. (Closes: #296902)
  * Anchored some regexps used in update-inetd. (See #296795)

 -- Marco d'Itri <md@linux.it>  Mon, 21 Mar 2005 20:35:38 +0100

netbase (4.20) unstable; urgency=medium

  * Do not ifdown lo. (Closes: #208700)
  * etc-services: added acr-nema (104), gpsd (2947), l2f (1701).
    (Closes: #284527, #286389)
  * etc-services: sane renamed to sane-port. (Closes: #284317)

 -- Marco d'Itri <md@linux.it>  Thu, 27 Jan 2005 01:16:00 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: netbase
 Architecture: all
-Depends: ifupdown, netkit-inetd, tcpd, iputils-ping | ping, debconf, lsb-base (>= 1.3-9ubuntu3)
+Depends: ifupdown (>= 0.6.4-4.9), netkit-inetd, tcpd, iputils-ping | ping, debconf
 Conflicts: xinetd (<= 2.2.1-8), netstd (<< 3.00), nfs-common (<< 1:0.3.2-1), nfs-user-server (<< 2.2beta47-9), nis (<= 3.6-2), rstatd (<= 3.03-3), rwalld (<= 0.16-1), rusersd (<= 0.17-1), ugidd (<< 2.2beta47-9)
 Description: Basic TCP/IP networking system
  This package provides the necessary infrastructure for basic TCP/IP based

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

#export DH_VERBOSE=1

export D=$(CURDIR)/debian/netbase

build:
	dh_testdir

#	check for duplicate etc-services entries and abort if any found
	@echo Checking for duplicate services:
	@if (sed 's/#.*$$//;s/[[:space:]][[:space:]]*/ /g' etc-services | \
	      while read name serv other; do \
	        for a in $$name $$other; do echo $$a $$serv; done; \
              done | sort | uniq -d | sed 's/^/  /' | grep ^); \
        then \
	  false; \
	else \
	  echo "  None found"; \
	fi

clean:
	dh_testdir
	dh_testroot

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs etc/ etc/network/ usr/share/perl5/ usr/sbin/

	install -o root -g root -m 0644 etc-protocols $D/etc/protocols
	install -o root -g root -m 0644 etc-rpc $D/etc/rpc
	install -o root -g root -m 0644 etc-services $D/etc/services
	install -o root -g root -m 0644 DebianNet.pm $D/usr/share/perl5/
	install -o root -g root -m 0755 update-inetd $D/usr/sbin/

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installdebconf
	dh_installinit --noscripts --init-script=networking
	dh_installman DebianNet.3pm update-inetd.8
	dh_perl
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary: binary-indep

.PHONY: build clean binary-indep binary-arch binary install

## netbase 4.21ubuntu3

=== debian/changelog ===
netbase (4.21ubuntu3) breezy; urgency=low

  * debian/netbase.init: Temporarily increase usplash timeout to 120 seconds
    to cope with slop DHCP server responses. (Ubuntu #15394)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 19 Sep 2005 13:05:12 +0200

netbase (4.21ubuntu2) breezy; urgency=low

  * Remove dependency on netkit-inetd

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 19 Apr 2005 21:46:30 -0700

netbase (4.21ubuntu1) breezy; urgency=low

  * Resynchronise with Debian, resolving merge conflicts.

 -- Adam Conrad <adconrad@0c3.net>  Thu, 14 Apr 2005 23:36:07 -0600

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: netbase
 Architecture: all
-Depends: ifupdown (>= 0.6.4-4.9), netkit-inetd, tcpd, iputils-ping | ping, debconf
+Depends: ifupdown (>= 0.6.4-4.9), tcpd, iputils-ping | ping, debconf, lsb-base (>= 1.3-9ubuntu3)
 Conflicts: xinetd (<= 2.2.1-8), netstd (<< 3.00), nfs-common (<< 1:0.3.2-1), nfs-user-server (<< 2.2beta47-9), nis (<= 3.6-2), rstatd (<= 3.03-3), rwalld (<= 0.16-1), rusersd (<= 0.17-1), ugidd (<< 2.2beta47-9)
 Description: Basic TCP/IP networking system
  This package provides the necessary infrastructure for basic TCP/IP based

## netbase 4.24ubuntu3

=== debian/changelog ===
netbase (4.24ubuntu3) dapper; urgency=low

  * Give an [ok] when bringing down the network interfaces works and we're
    not in verbose mode.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 11 May 2006 07:53:57 +0100

netbase (4.24ubuntu2) dapper; urgency=low

  * Move networking script back to S40.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 23 Feb 2006 15:26:58 +0000

netbase (4.24ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
    - Manually fix up init script again.
  * Migrate /etc/network/options to /etc/sysctl.conf settings.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 25 Jan 2006 17:16:36 +0000

netbase (4.23ubuntu4) dapper; urgency=low

  * Move networking script from S40 to S50

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 24 Jan 2006 18:12:37 +0000

netbase (4.23ubuntu3) dapper; urgency=low

  * Remove missed call to process_options.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 28 Nov 2005 10:15:38 +0000

netbase (4.23ubuntu2) dapper; urgency=low

  * If /etc/network/options is deprecated, then let's deprecate it!  See
    README.Debian for details on what to do instead.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 22 Nov 2005 15:30:47 +0000

netbase (4.23ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
    - Yes, really me.
    - Preserve as much of the intent of both sets of init script changes
      as possible.
    - Still don't depend on netkit-inetd.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 08 Nov 2005 08:58:46 +0000

netbase (4.23) unstable; urgency=medium

  * Added the LSB data to the init script.
  * etc-services: converted some spaces to tabs. (Closes: #331691)
  * etc-protocols: fixed the IPSEC ESP RFC number. (Closes: #330498)
  * Document in README.Debian which sysctl values replace
    /etc/network/options. (Closes: #330830)

 -- Marco d'Itri <md@linux.it>  Sun, 23 Oct 2005 12:47:40 +0200

netbase (4.24) unstable; urgency=medium

  * etc-services: added nfs (2049). (Closes: #345836)
  * New debconf translation: sv. (Closes: #338806)
  * Do not make the init script fail when options are missing from
    /etc/network/options. (Closes: #335471)

 -- Marco d'Itri <md@linux.it>  Tue,  3 Jan 2006 23:09:34 +0100

netbase (4.22) unstable; urgency=medium

  * /etc/network/options is now deprecated and will not be created anymore
    on new installs. (Closes: #70724, #104569, #252096, #256919, #322548)
  * Converted the init script to lsb-base.
  * Updated the de debconf translation. (Closes: #313953)
  * Added the vi debconf translation. (Closes: #315810)

 -- Marco d'Itri <md@linux.it>  Sat, 24 Sep 2005 18:20:29 +0200
